Bug 1282694 - MoveOrCopyDisk - target disk isn't locked during the operation
MoveOrCopyDisk - target disk isn't locked during the operation
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage (Show other bugs)
3.6.0
x86_64 Unspecified
unspecified Severity high (vote)
: ovirt-3.6.1
: 3.6.1
Assigned To: Liron Aravot
Elad
storage
:
Depends On: 1232396 1282693 1284250
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 01:56 EST by Liron Aravot
Modified: 2016-05-08 04:24 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1282693
Environment:
Last Closed: 2015-12-16 07:16:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
rule-engine: exception+
ylavi: planning_ack+
amureini: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 48634 master MERGED core: MoveOrCopyDisk - the created disk should be locked Never
oVirt gerrit 48927 ovirt-engine-3.6 MERGED core: MoveOrCopyDisk - the created disk should be locked Never
oVirt gerrit 49090 ovirt-engine-3.6.1 MERGED core: MoveOrCopyDisk - the created disk should be locked Never

  None (edit)
Description Liron Aravot 2015-11-17 01:56:45 EST
+++ This bug was initially created as a clone of Bug #1282693 +++

How reproducible:
100%

Steps to Reproduce:
1. Create a VM with 1 disk
2. From the Disk tab - select the disk and press copy
3. Refresh the disk tab, you should see the added disk there as well.

Actual results:
The added disk isn't locked, allowing to perform operations on it while the operation is ongoing. 

Expected results:
The target disk status should be 'LOCKED' while the operation is executed.
Comment 1 Yaniv Lavi (Dary) 2015-11-22 09:24:11 EST
Can you move this to oVirt?
Comment 2 Red Hat Bugzilla Rules Engine 2015-11-26 23:38:52 EST
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.
Comment 3 Sandro Bonazzola 2015-12-01 10:06:50 EST
This bug is referenced in git log for ovirt-engine-3.6.1.1.
Please set target release to 3.6.1.1 accordingly unless additional patches are needed.
Comment 4 Elad 2015-12-08 04:55:50 EST
While copying disk (floating or attached to VM), both the source and destination image become Locked until the copyImage operation is finished.

Verified using rhevm-3.6.1.1-0.1.el6.noarch
Comment 5 Sandro Bonazzola 2015-12-16 07:16:56 EST
According to verification status and target milestone this issue should be fixed in oVirt 3.6.1. Closing current release.

Note You need to log in before you can comment on or make changes to this bug.